from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XShapeEventListener(XEventListener, Protocol):
    def click(self, xShape: XShape, aOriginalEvent: MouseEvent) -> None: ...
